DROP TABLE PUBLIC.tbl_Moby_Games_Promo_Art;
DROP TABLE PUBLIC.tbl_Moby_Promo_Group;
DROP TABLE PUBLIC.xtb_Database_Properties;

DROP TABLE PUBLIC.tbl_Moby_Attributes;
DROP TABLE PUBLIC.tbl_Moby_Attributes_Categories;
DROP TABLE PUBLIC.tbl_Moby_Game_Groups;
DROP TABLE PUBLIC.tbl_Moby_Game_Groups_Moby_Releases;
DROP TABLE PUBLIC.tbl_Moby_Have_Want_List_Item_Detail_Conditions;
DROP TABLE PUBLIC.tbl_Moby_Releases_Attributes;

ALTER TABLE PUBLIC.tbl_Moby_Companies DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Companies DROP COLUMN URLPart;
ALTER TABLE PUBLIC.tbl_Moby_Companies DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Companies DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Games DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Games DROP COLUMN URLPart;
ALTER TABLE PUBLIC.tbl_Moby_Games DROP COLUMN Platform_Exclusive;
ALTER TABLE PUBLIC.tbl_Moby_Games DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Games DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles DROP COLUMN Description;
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Games_Genres DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Games_Genres DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN No_Category;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Basic_Genres;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Perspectives;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Sports_Themes;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Non_Sports_Themes;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Educational_Categories;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Other_Attributes;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Visual_Presentation;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Pacing;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Gameplay;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Interface_Control;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Vehicular_Themes;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Setting;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Narrative_Theme_Topic;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN DLC_AddOn;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Special_Edition;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN Description;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN URLPart;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Genres_Categories DROP COLUMN Sort;

ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN URLPart;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN Visible;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN Display_Name;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN GenericEmulated;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN MultiVolume;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Platforms DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Regions DROP COLUMN Sort;
ALTER TABLE PUBLIC.tbl_Moby_Regions DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Regions DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN id_Moby_Platforms_Site;
ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN Technical_Notes;
ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN created;
ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN updated;

ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art DROP COLUMN Packaging;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art DROP COLUMN Comment;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art DROP COLUMN PackageComment;

ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots DROP COLUMN id_Moby_Screenshots;

ALTER TABLE PUBLIC.tbl_Moby_Staff DROP COLUMN deprecated;
ALTER TABLE PUBLIC.tbl_Moby_Staff DROP COLUMN Biography;

DELETE FROM PUBLIC.tbl_Moby_Platforms WHERE ShortName NOT IN ('dos', 'pcboot') OR ShortName IS NULL;
DELETE FROM PUBLIC.tbl_Moby_Releases WHERE id_Moby_Platforms NOT IN (SELECT id_Moby_Platforms FROM PUBLIC.tbl_Moby_Platforms);
DELETE FROM PUBLIC.tbl_Moby_Games WHERE id_Moby_Games NOT IN (SELECT id_Moby_Games FROM PUBLIC.tbl_Moby_Releases);
DELETE FROM PUBLIC.tbl_Moby_Companies WHERE id_Moby_Companies NOT IN (SELECT DISTINCT Developer_id_Moby_Companies FROM PUBLIC.tbl_Moby_Releases WHERE Developer_id_Moby_Companies IS NOT NULL UNION SELECT DISTINCT Publisher_id_Moby_Companies FROM PUBLIC.tbl_Moby_Releases WHERE Publisher_id_Moby_Companies IS NOT NULL);
DELETE FROM PUBLIC.tbl_Moby_Games_Alternate_Titles WHERE id_Moby_Games NOT IN (SELECT id_Moby_Games FROM tbl_Moby_Games);
DELETE FROM PUBLIC.tbl_Moby_Releases_Staff WHERE id_Moby_Releases NOT IN (SELECT id_Moby_Releases FROM tbl_Moby_Releases);
DELETE FROM PUBLIC.tbl_Moby_Staff WHERE id_Moby_Staff NOT IN (SELECT id_Moby_Staff FROM tbl_Moby_Releases_Staff);
DELETE FROM PUBLIC.tbl_Moby_Releases_Cover_Art WHERE id_Moby_Releases NOT IN (SELECT id_Moby_Releases FROM tbl_Moby_Releases);
DELETE FROM PUBLIC.tbl_Moby_Cover_Art_Types WHERE id_Moby_Cover_Art_Types NOT IN (SELECT id_Moby_Cover_Art_Types FROM tbl_Moby_Releases_Cover_Art);
DELETE FROM PUBLIC.tbl_Moby_Games_Genres WHERE id_Moby_Games NOT IN (SELECT id_Moby_Games FROM tbl_Moby_Games);
DELETE FROM PUBLIC.tbl_Moby_Genres WHERE id_Moby_Genres NOT IN (SELECT id_Moby_Genres FROM tbl_Moby_Games_Genres);
DELETE FROM PUBLIC.tbl_Moby_Genres_Categories WHERE id_Moby_Genres_Categories NOT IN (SELECT id_Moby_Genres_Categories FROM tbl_Moby_Genres);
DELETE FROM PUBLIC.tbl_Moby_Releases_Cover_Art_Regions WHERE id_Moby_Releases_Cover_Art NOT IN (SELECT id_Moby_Releases_Cover_Art FROM tbl_Moby_Releases_Cover_Art);
DELETE FROM PUBLIC.tbl_Moby_Releases_Screenshots WHERE id_Moby_Releases NOT IN (SELECT id_Moby_Releases FROM tbl_Moby_Releases);
DELETE FROM PUBLIC.tbl_Moby_Regions WHERE id_Moby_Regions NOT IN (SELECT id_Moby_Regions FROM tbl_Moby_Releases_Cover_Art_Regions) AND id_Moby_Regions NOT IN( SELECT DISTINCT id_Moby_Regions_Owner FROM PUBLIC.tbl_Moby_Regions);

DELETE FROM PUBLIC.tbl_Moby_Genres_Categories WHERE Moby_Genres_Category_Name <> 'Basic Genres';
DELETE FROM PUBLIC.tbl_Moby_Genres WHERE id_Moby_Genres_Categories NOT IN (SELECT id_Moby_Genres_Categories FROM tbl_Moby_Genres_Categories) OR id_Moby_Genres_Categories IS NULL;
DELETE FROM PUBLIC.tbl_Moby_Games_Genres WHERE id_Moby_Genres NOT IN (SELECT id_Moby_Genres FROM tbl_Moby_Genres);

ALTER TABLE PUBLIC.tbl_Moby_Companies ALTER COLUMN Name SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Cover_Art_Types ALTER COLUMN Name SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Games ALTER COLUMN Name SET NOT NULL;

ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles ALTER COLUMN Alternate_Title SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles ALTER COLUMN id_Moby_Games SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles ADD FOREIGN KEY (id_Moby_Games) REFERENCES PUBLIC.tbl_Moby_Games (id_Moby_Games);

ALTER TABLE PUBLIC.tbl_Moby_Games_Genres ALTER COLUMN id_Moby_Games SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Games_Genres ALTER COLUMN id_Moby_Genres SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Games_Genres ADD FOREIGN KEY (id_Moby_Games) REFERENCES PUBLIC.tbl_Moby_Games (id_Moby_Games);
ALTER TABLE PUBLIC.tbl_Moby_Games_Genres ADD FOREIGN KEY (id_Moby_Genres) REFERENCES PUBLIC.tbl_Moby_Genres (id_Moby_Genres);

ALTER TABLE PUBLIC.tbl_Moby_Genres ALTER COLUMN Name SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Genres ALTER COLUMN id_Moby_Genres_Categories SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Genres ADD FOREIGN KEY (id_Moby_Genres_Categories) REFERENCES PUBLIC.tbl_Moby_Genres_Categories (id_Moby_Genres_Categories);

ALTER TABLE PUBLIC.tbl_Moby_Genres_Categories ALTER COLUMN Moby_Genres_Category_Name SET NOT NULL;

ALTER TABLE PUBLIC.tbl_Moby_Platforms ALTER COLUMN Name SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Platforms ALTER COLUMN ShortName SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Platforms ADD FOREIGN KEY (id_Moby_Platforms_Owner) REFERENCES PUBLIC.tbl_Moby_Platforms (id_Moby_Platforms);

ALTER TABLE PUBLIC.tbl_Moby_Regions ALTER COLUMN Region SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Regions ADD FOREIGN KEY (id_Moby_Regions_Owner) REFERENCES PUBLIC.tbl_Moby_Regions (id_Moby_Regions);

UPDATE PUBLIC.tbl_Moby_Releases SET Publisher_id_Moby_Companies = NULL WHERE Publisher_id_Moby_Companies = 0;
UPDATE PUBLIC.tbl_Moby_Releases SET Developer_id_Moby_Companies = NULL WHERE Developer_id_Moby_Companies = 0;
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN id_Moby_Games SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN id_Moby_Platforms SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN URL SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases ADD FOREIGN KEY (id_Moby_Games) REFERENCES PUBLIC.tbl_Moby_Games (id_Moby_Games);
ALTER TABLE PUBLIC.tbl_Moby_Releases ADD FOREIGN KEY (id_Moby_Platforms) REFERENCES PUBLIC.tbl_Moby_Platforms (id_Moby_Platforms);
ALTER TABLE PUBLIC.tbl_Moby_Releases ADD FOREIGN KEY (Publisher_id_Moby_Companies) REFERENCES PUBLIC.tbl_Moby_Companies (id_Moby_Companies);
ALTER TABLE PUBLIC.tbl_Moby_Releases ADD FOREIGN KEY (Developer_id_Moby_Companies) REFERENCES PUBLIC.tbl_Moby_Companies (id_Moby_Companies);

ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ALTER COLUMN id_Moby_Releases SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ALTER COLUMN id_Moby_Cover_Art SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ALTER COLUMN id_Moby_Cover_Art_Types SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ADD FOREIGN KEY (id_Moby_Releases) REFERENCES PUBLIC.tbl_Moby_Releases (id_Moby_Releases);
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ADD FOREIGN KEY (id_Moby_Cover_Art_Types) REFERENCES PUBLIC.tbl_Moby_Cover_Art_Types (id_Moby_Cover_Art_Types);
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art ALTER COLUMN URL SET NOT NULL;

ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art_Regions ALTER COLUMN id_Moby_Releases_Cover_Art SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art_Regions ALTER COLUMN id_Moby_Regions SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art_Regions ADD FOREIGN KEY (id_Moby_Releases_Cover_Art) REFERENCES PUBLIC.tbl_Moby_Releases_Cover_Art (id_Moby_Releases_Cover_Art);
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art_Regions ADD FOREIGN KEY (id_Moby_Regions) REFERENCES PUBLIC.tbl_Moby_Regions (id_Moby_Regions);

ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ALTER COLUMN id_Moby_Releases SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ALTER COLUMN URL SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ALTER COLUMN Description SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ADD FOREIGN KEY (id_Moby_Releases) REFERENCES PUBLIC.tbl_Moby_Releases (id_Moby_Releases);

ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ALTER COLUMN id_Moby_Releases SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ALTER COLUMN id_Moby_Staff SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ALTER COLUMN Position SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ALTER COLUMN Sort SET NOT NULL;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ADD FOREIGN KEY (id_Moby_Releases) REFERENCES PUBLIC.tbl_Moby_Releases (id_Moby_Releases);
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff ADD FOREIGN KEY (id_Moby_Staff) REFERENCES PUBLIC.tbl_Moby_Staff (id_Moby_Staff);

ALTER TABLE PUBLIC.tbl_Moby_Staff ALTER COLUMN Name SET NOT NULL;

UPDATE PUBLIC.tbl_Moby_Releases SET URL = SUBSTRING(URL FROM 25) WHERE URL like 'http://www.mobygames.com/%';

DELETE FROM PUBLIC.tbl_Moby_Releases_Staff WHERE id_Moby_Releases IN (SELECT id_Moby_Releases FROM tbl_Moby_Releases WHERE Developer_id_Moby_Companies IS NOT NULL);
DELETE FROM PUBLIC.tbl_Moby_Releases_Staff WHERE Sort > 1;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff DROP COLUMN Sort;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Staff DROP COLUMN Position;
DELETE FROM PUBLIC.tbl_Moby_Staff WHERE id_Moby_Staff NOT IN (SELECT id_Moby_Staff FROM tbl_Moby_Releases_Staff);

ALTER TABLE PUBLIC.tbl_Moby_Genres DROP COLUMN id_Moby_Genres_Categories;
DROP TABLE PUBLIC.tbl_Moby_Genres_Categories;

ALTER TABLE PUBLIC.tbl_Moby_Companies ALTER COLUMN Name VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Cover_Art_Types ALTER COLUMN Name VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Games ALTER COLUMN Name VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Games ALTER COLUMN Name_Prefix VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Games_Alternate_Titles ALTER COLUMN Alternate_Title VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Genres ALTER COLUMN Name VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Platforms ALTER COLUMN Name VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Platforms ALTER COLUMN ShortName VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Regions ALTER COLUMN Region VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN Year VARCHAR(4);
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN URL VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Releases ALTER COLUMN MobyScore DECIMAL(2, 1);
ALTER TABLE PUBLIC.tbl_Moby_Releases DROP COLUMN MobyScore;
UPDATE PUBLIC.tbl_Moby_Releases_Cover_Art SET URL = SUBSTRING(URL FROM 18) WHERE URL like '/images/covers/l/%';
ALTER TABLE PUBLIC.tbl_Moby_Releases_Cover_Art DROP COLUMN id_Moby_Cover_Art;
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ALTER COLUMN URL VARCHAR(256);
ALTER TABLE PUBLIC.tbl_Moby_Releases_Screenshots ALTER COLUMN Description VARCHAR(256);
UPDATE PUBLIC.tbl_Moby_Releases_Screenshots SET URL = SUBSTRING(URL FROM 17) WHERE URL like '/images/shots/l/%';
ALTER TABLE PUBLIC.tbl_Moby_Staff ALTER COLUMN Name VARCHAR(256);